ButtonColumn

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.columns.client
Class ButtonColumn

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.openswing.swing.table.columns.client.Column
                          org.openswing.swing.table.columns.client.ButtonColumn

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ButtonColumn
extends Column

Title: OpenSwing Framework

Description: Column of type button: it contains a button with text "..." The button text can be redefined.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class org.openswing.swing.table.columns.client.Column
`autoFitColumn, TYPE_BUTTON, TYPE_CHECK, TYPE_COMBO, TYPE_COMBO_VO, TYPE_CURRENCY, TYPE_DATE, TYPE_DATE_TIME, TYPE_DEC, TYPE_FILE, TYPE_FORMATTED_TEXT, TYPE_IMAGE, TYPE_INT, TYPE_LINK, TYPE_LOOKUP, TYPE_MULTI_LINE_TEXT, TYPE_MULTIPLE_TYPE, TYPE_PERC, TYPE_PROGRESS_BAR, TYPE_TEXT, TYPE_TIME`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ButtonColumn()`

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener listener)` Add an ItemListener to the button.
`java.util.ArrayList` | `getActionListeners()`
`javax.swing.table.TableCellEditor` | `getCellEditor(GridController tableContainer, Grids grids)`
`javax.swing.table.TableCellRenderer` | `getCellRenderer(GridController tableContainer, Grids grids)`
`int` | `getColumnType()`
`javax.swing.Icon` | `getIcon()`
`java.lang.String` | `getIconName()`
`java.lang.String` | `getText()`
`boolean` | `isEnableInReadOnlyMode()`
`boolean` | `isShowAttributeValue()`
`void` | `removeActionListener(java.awt.event.ActionListener listener)` Remove an ActionListener from the button.
`void` | `setEnableInReadOnlyMode(boolean enableInReadOnlyMode)` Define if the button is enabled also when the grid is in readonly mode.
`void` | `setIcon(javax.swing.Icon icon)` Set the icon to render within the button (optional).
`void` | `setIconName(java.lang.String iconName)` Set the file name (inside "image" folder) related to the icon to render within the button (optional)
`void` | `setShowAttributeValue(boolean showAttributeValue)` Indicate that attribute value will be showed as button text; default value: `false` i.e. the button text is defined by the "text" property
`void` | `setText(java.lang.String text)` Set button text.

Methods inherited from class org.openswing.swing.table.columns.client.Column
`getAdditionalHeaderColumnName, getAdditionalHeaderColumnSpan, getColumnName, getDesignColumnType, getHeaderColumnName, getHeaderFont, getHeaderForegroundColor, getHeaderTextHorizontalAlignment, getHeaderTextVerticalAlignment, getListFilter, getMaxWidth, getMinWidth, getPreferredWidth, getSortingOrder, getSortVersus, getTable, getTextAlignment, isAutoFitColumn, isColumnDuplicable, isColumnFilterable, isColumnRequired, isColumnSelectable, isColumnSortable, isColumnVisible, isEditableOnEdit, isEditableOnInsert, setAdditionalHeaderColumnName, setAdditionalHeaderColumnSpan, setAutoFitColumn, setColumnDuplicable, setColumnFilterable, setColumnName, setColumnRequired, setColumnSelectable, setColumnSortable, setColumnVisible, setEditableOnEdit, setEditableOnInsert, setHeaderColumnName, setHeaderFont, setHeaderForegroundColor, setHeaderTextHorizontalAlignment, setHeaderTextVerticalAlignment, setListFilter, setMaxWidth, setMinWidth, setPreferredWidth, setSortingOrder, setSortVersus, setTable, setTextAlignment`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonColumn

    public ButtonColumn()

Method Detail

### getColumnType

    public int getColumnType()

  Overrides:
    `getColumnType` in class `Column`
  Returns:
    column type

### getText

    public final java.lang.String getText()

  Returns:
    button text

### setText

    public final void setText(java.lang.String text)

  Set button text.

  Parameters:
    `text` - button text

### addActionListener

    public final void addActionListener(java.awt.event.ActionListener listener)

  Add an ItemListener to the button.

  Parameters:
    `listener` - ActionListener to add

### removeActionListener

    public final void removeActionListener(java.awt.event.ActionListener listener)

  Remove an ActionListener from the button.

  Parameters:
    `listener` - ActionListener to remove

### getActionListeners

    public final java.util.ArrayList getActionListeners()

  Returns:
    ActionListener objects

### isShowAttributeValue

    public final boolean isShowAttributeValue()

  Returns:
    indicate that attribute value will be showed as button text; default value: `false` i.e. the button text is defined by the "text" property

### setShowAttributeValue

    public final void setShowAttributeValue(boolean showAttributeValue)

  Indicate that attribute value will be showed as button text; default value: `false` i.e. the button text is defined by the "text" property

  Parameters:
    `showAttributeValue` - indicate that attribute value will be showed as button text

### isEnableInReadOnlyMode

    public final boolean isEnableInReadOnlyMode()

  Returns:
    indicate if the button is enabled also when the grid is in readonly mode; default value: `false` i.e. the button is enabled only in INSERT/EDIT modes, according to "editableOnEdit" and "editableOnInsert" properties

### setEnableInReadOnlyMode

    public final void setEnableInReadOnlyMode(boolean enableInReadOnlyMode)

  Define if the button is enabled also when the grid is in readonly mode.

  Parameters:
    `enableInReadOnlyMode` - flag used to indicate if the button is enabled also when the grid is in readonly mode; `false` means that the button is enabled only in INSERT/EDIT modes, according to "editableOnEdit" and "editableOnInsert" properties

### getCellRenderer

    public final javax.swing.table.TableCellRenderer getCellRenderer(GridController tableContainer,
                                                                     Grids grids)

  Overrides:
    `getCellRenderer` in class `Column`
  Returns:
    TableCellRenderer for this column

### getCellEditor

    public final javax.swing.table.TableCellEditor getCellEditor(GridController tableContainer,
                                                                 Grids grids)

  Overrides:
    `getCellEditor` in class `Column`
  Returns:
    TableCellEditor for this column

### getIcon

    public final javax.swing.Icon getIcon()

  Returns:
    icon to render within the button (optional)

### setIcon

    public final void setIcon(javax.swing.Icon icon)

  Set the icon to render within the button (optional).

  Parameters:
    `icon` - icon to render within the button (optional)

### getIconName

    public final java.lang.String getIconName()

  Returns:
    file name (inside "image" folder) related to the icon to render within the button (optional)

### setIconName

    public final void setIconName(java.lang.String iconName)

  Set the file name (inside "image" folder) related to the icon to render within the button (optional)

  Parameters:
    `iconName` - file name (inside "image" folder) related to the icon to render within the button (optional)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD